From e64766841443f99d19d869fa98b94fce167a197c Mon Sep 17 00:00:00 2001
From: "David G. Johnston" <david.g.johnston@gmail.com>
Date: Thu, 9 Jun 2022 15:18:15 +0000
Subject: [PATCH] doc: Clarify wording around default database name and user
 name

---
 doc/src/sgml/client-auth.sgml  | 7 ++++---
 doc/src/sgml/ref/psql-ref.sgml | 2 +-
 2 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/doc/src/sgml/client-auth.sgml b/doc/src/sgml/client-auth.sgml
index b2a459fb0d..741831a70c 100644
--- a/doc/src/sgml/client-auth.sgml
+++ b/doc/src/sgml/client-auth.sgml
@@ -2218,7 +2218,7 @@ FATAL:  password authentication failed for user "andym"
 <programlisting>
 FATAL:  user "andym" does not exist
 </programlisting>
-    The indicated database user name was not found.
+    The indicated user name was not found.
    </para>
 
    <para>
@@ -2226,8 +2226,9 @@ FATAL:  user "andym" does not exist
 FATAL:  database "testdb" does not exist
 </programlisting>
     The database you are trying to connect to does not exist. Note that
-    if you do not specify a database name, it defaults to the database
-    user name, which might or might not be the right thing.
+    if the database name shown matches the user name you are connecting
+    as it is not by accident: the default database name is the
+    user name.
    </para>
 
    <tip>
diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index ababd371df..9a33d20751 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -659,7 +659,7 @@ EOF
     determined at compile time.
     Since the database server uses the same default, you will not have
     to specify the port in most cases. The default user name is your
-    operating-system user name, as is the default database name.
+    operating-system user name. The default database name is the resolved user name.
     Note that you cannot
     just connect to any database under any user name. Your database
     administrator should have informed you about your access rights.
-- 
2.25.1

